# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KWidgetAction Class Reference

An action that automatically embeds a widget into a toolbar. More...

`#include <kactionclasses.h>`

Inheritance diagram for KWidgetAction:

[legend]
Collaboration diagram for KWidgetAction:

[legend]
List of all members.

## Public Member Functions

| KWidgetAction (QWidget *widget, const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
QWidget * | widget ()
void | setAutoSized (bool)
virtual int | plug (QWidget *widget, int index=-1)
virtual void | unplug (QWidget *w)

## Protected Slots

void | slotToolbarDestroyed ()

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

An action that automatically embeds a widget into a toolbar.

Definition at line 1262 of file kactionclasses.h.

## Constructor & Destructor Documentation

KWidgetAction::KWidgetAction | ( | QWidget * | widget,
|  | const QString & | text,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | KActionCollection * | parent,
|  | const char * | name
| ) |

| Create an action that will embed widget into a toolbar when plugged. This action may only be plugged into a toolbar. Definition at line 2004 of file kactionclasses.cpp. References QObject::connect(), KAction::setEnabled(), and widget().

## Member Function Documentation

QWidget* KWidgetAction::widget | ( |  | ) | `[inline]`

| Returns the widget associated with this action. Definition at line 1280 of file kactionclasses.h. Referenced by KWidgetAction().

int KWidgetAction::plug | ( | QWidget * | widget,
|  | int | index = `-1`
| ) | `[virtual]`

| Plug the action. The widget passed to the constructor will be reparented to w, which must inherit KToolBar. Reimplemented from KAction. Definition at line 2038 of file kactionclasses.cpp. References QWhatsThis::add(), QObject::connect(), QObject::destroyed(), endl(), KAction::getToolButtonID(), KToolBar::insertWidget(), kdError(), KToolBar::setItemAutoSized(), and KAction::whatsThis().

void KWidgetAction::unplug | ( | QWidget * | w | ) | `[virtual]`

| Unplug the action. Ensures that the action is not destroyed. It will be hidden and reparented to 0L instead. Reimplemented from KAction. Definition at line 2069 of file kactionclasses.cpp. References QObject::disconnect(), KAction::isPlugged(), and KAction::unplug().

The documentation for this class was generated from the following files:

- kactionclasses.h
- kactionclasses.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:22:41 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003